%define major   3.4

Name:           yum
Version:        3.4.3
Release:        %mkrel 6
Summary:        RPM installer/updater
License:        GPLv3+
Group:          System/Packaging
Source:         http://yum.baseurl.org/download/%{major}/%{name}-%{version}.tar.gz
Patch0:         yum-3.4.3-lsb.patch
URL:            http://yum.baseurl.org/
Requires:	python-yum = %{version}-%{release}
BuildRequires:  python-devel
BuildRequires:	gettext
BuildRequires:  intltool
BuildArch:      noarch

%description
Yum is a utility that can check for and automatically download and
install updated RPM packages. Dependencies are obtained and downloaded
automatically prompting the user as necessary.

%package -n python-%{name}
Summary:	Reusable YUM code
Group:		Development/Python
Requires:       python-celementtree
Requires:       python-gpgme
Requires:       python-iniparse
Requires:       python-libxml2
Requires:       python-rpm
Requires:       python-urlgrabber
Requires:       yum-metadata-parser
Conflicts:      yum < 3.2.29-2
%description -n python-%{name}
YUM code that is also used in other tools like createrepo.

%prep
%setup -q
%apply_patches

%build
%{make}

%install
%{makeinstall_std}
# correct scripts
perl -pi -e 's|%{_libdir}/yum|%{_datadir}/yum|' %{buildroot}%{_bindir}/*
# remove init stuff
rm -f %{buildroot}%{_sysconfdir}/cron.*/yum.cron
rm -f %{buildroot}%{_sysconfdir}/init.d/%{name}
rm -f %{buildroot}%{_sysconfdir}/rc.d/init.d/%{name}
rm -f %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
rm -Rf  %{buildroot}/%py_puresitedir/urlgrabber/

%find_lang %{name}

%files -f %{name}.lang
%doc README AUTHORS COPYING TODO INSTALL
%config(noreplace) %{_sysconfdir}/yum/
%{_datadir}/yum-cli/
%{_bindir}/*
%{_sbindir}/*
/var/cache/yum
%{_sysconfdir}/bash_completion.d/yum.bash
%{_mandir}/man*/*
%{_sysconfdir}/rc.d/init.d/yum-updatesd
%{_sysconfdir}/cron.daily/0yum.cron
%{_sysconfdir}/rc.d/init.d/yum-cron
%{_sysconfdir}/sysconfig/yum-cron
%attr(0644,root,root) %{_sysconfdir}/dbus-1/system.d/yum-updatesd.conf

%files -n python-%{name}
%py_puresitedir/%{name}
%py_puresitedir/rpmUtils


%changelog

* Tue Jan 22 2013 fwang <fwang> 3.4.3-6.mga3
+ Revision: 390826
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 3.4.3-5.mga3
+ Revision: 387638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 29 2012 colin <colin> 3.4.3-4.mga2
+ Revision: 234193
- Add LSB headers to initscripts (mga#5262)

* Mon Jul 04 2011 misc <misc> 3.4.3-3.mga2
+ Revision: 118315
- fix conflict ( spotted by spturtle on irc )

* Mon Jul 04 2011 misc <misc> 3.4.3-2.mga2
+ Revision: 118311
- add conflict to fix upgrade from older version

* Sat Jul 02 2011 kharec <kharec> 3.4.3-1.mga2
+ Revision: 117371
- update to 3.4.3

* Mon Jun 27 2011 kharec <kharec> 3.4.2-1.mga2
+ Revision: 114370
- new version

* Tue Jun 21 2011 kharec <kharec> 3.4.1-1.mga2
+ Revision: 111692
- update to new version and update major too

  + cjw <cjw>
    - fix URL

* Thu Jun 09 2011 cjw <cjw> 3.2.29-2.mga2
+ Revision: 102597
- split package so yum does not need to be installed to run createrepo

* Wed Apr 13 2011 tv <tv> 3.2.29-1.mga1
+ Revision: 84627
- new release

* Sun Jan 09 2011 kharec <kharec> 3.2.28-2.mga1
+ Revision: 1450
- imported package yum

